Jump to content

Verisure Plugin


Recommended Posts

  • Replies 492
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Ting begynner å løsne, og jeg er i gang igjen. ny versjon vil bli sendt ut til et par brukere for test innen kort tid

Ja har fått det jeg også   Hmm, får prioritere litt utviklingstid framover!

Har knapt hvert hjemme siste tiden så har ikke fått sett noe på dette. Men nå tror jeg at jeg skal klare å få lagt inn noe tid til å se på det dere har rapportert

Posted Images

7 hours ago, Moskus said:

Windows 7. Men ikke heller Win7 har problemer med TLS1.2.

Etter hva jeg har skjønt er det .net versjon som styrer om man benytter TLS 1.2 eller ikke. Men i Linux(Mono) er jeg usikker på om det er likt som i Windows.

Edited by Guahtdim
Link to post
Share on other sites
2 timer siden, Guahtdim skrev:

Etter hva jeg har skjønt er det .net versjon som styrer om man benytter TLS 1.2 eller ikke. Men i Linux(Mono) er jeg usikker på om det er likt som i Windows.

 

Er du sikker på det? F.eks når det gjelder iis på Windows server så må man aktivere tls 1.2 i registeret, man trenger ikke gjøre noe med iis.

Link to post
Share on other sites
On 04/09/2020 at 15:25, Guahtdim said:

Dette minner litt om ting som skjer på jobb. Her går man vekk fra TLS 1.0 og 1.1 og over på 1.2. Kjører dere alle Linux eller er det også Windows10 maskiner med problemer?

Jeg er litt usikker på hvordan kryptering settes på en https kobling, men ett kjapt Google til Stack Overflow søk  sier meg at man bør kjøre .net 4.6 for at TLS 1.2 skal velges default

https://stackoverflow.com/questions/45382254/update-net-web-service-to-use-tls-1-2

 

Mulig du må gjøre noe slik @lilfire ?

 

Ikke lett når man lager en plugin som mange liker. Håper du har en "buy me a coffe" knapp i plugin og at folket gir litt. Jeg regner med at du har brukt endel timer.

 

Jeg kjører HS4 på en Windows Server 2019 Standard Server. Funker gull det, stabilt og bra.

 

22 hours ago, jrewing said:

Det var er en donasjonsknapp på hjemmesiden sist jeg var der. Oppfordrer alle til å bruke den!

 

http://lsoft.no/verisure

 

Når det er sagt er det underlig at Verisure ikke åpner et API vi kan bruke. Kan bare se vinn-vinn med det.

 

Jeg var innom nettopp, og er såpass glad for at folk bruker sin egen fritid for å gi noe til oss andre, så jeg sendte @lilfire en 200lapp.

Og siden jeg bruker flere plugins sendte jeg @Guahtdim en 200lapp også :)

Takk for at dere orker, gidder, tar dere bryet osv, settes pris på :)

 

Edited by Kenneth
  • Like 1
Link to post
Share on other sites

Jeg har HS3 på Windows 10 med .net 4.8 og fikk også disse feilmeldingene ved oppstart (lånt bildet av Tinge76):

image.thumb.png.cdfed97c17f36fcbcc8183f79b4940e4.png.3a524a3eb321cb9a4430ce82466af5da.png

 

Fulgte instruksene i bunnen av dette dokumentet (Install .net updates og Configure for strong cryptography), og nå får jeg ingen feilmeldinger ved oppstart. Får nå skrudd alarmen av og på via HS, samt at status på komponenter kommer inn.

https://docs.microsoft.com/en-us/mem/configmgr/core/plan-design/security/enable-tls-1-2-client

 

Glemte å nevne: Restartet maskinen etter endringene.

 

Edited by Totto
  • Like 2
Link to post
Share on other sites
3 hours ago, xibriz said:

 

Er du sikker på det? F.eks når det gjelder iis på Windows server så må man aktivere tls 1.2 i registeret, man trenger ikke gjøre noe med iis.

Jeg var ikke presis nok. Det gjelder iallefall i Win10. Eldre OS må man muligens gjøre litt mer med. Men det jeg har forstått er at hvis plugin er bygget for litt eldre versjon av .Net så vil den ikke bruke TLS1.2 som standard. 

  • Like 1
Link to post
Share on other sites

Oi her var det skrevet mye sides sist jeg var innom.

 

Ja problemet er overgangen til TSL 1.2 Tingen er at det har kjørt uten feil på utviklingsmiljøet, mens i prod miljøet har jeg fått masse feil som jeg ikke klarte å kjennskap i utviklingsmiljøet. Så har dunka hode mye mot veggen. Oppdatere prod miljøet mitt nå for 30min siden og ikke fått noen feil der enda :) men lar det gå noen timer til hvertfall.

 

Stemmer det at er "eldre" .net. pluginen har vært med en stund nå og jeg har ikke endra .net versjon så er utviklet i 4.5. så er vel snart på tide å løfte den. hmm kanskje bare gjøre det med en gang  da...

 

 

 

 

  • Like 2
Link to post
Share on other sites

Ingen vits i å vente.

 

Og sørg for at app.config har følgende

<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <startup>
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />
    </startup>

Erstatt sku-delen med den .Net versjonen du løfter det til. Fra 4.6 er TLS 1.2 default.

Link to post
Share on other sites
23 timer siden, Guahtdim skrev:

Etter hva jeg har skjønt er det .net versjon som styrer om man benytter TLS 1.2 eller ikke.

Ja, man må ha .NET 4.5 installert for å ha støtte for TLS 1.2

 

7 timer siden, lilfire skrev:

Stemmer det at er "eldre" .net. pluginen har vært med en stund nå og jeg har ikke endra .net versjon så er utviklet i 4.5. så er vel snart på tide å løfte den. hmm kanskje bare gjøre det med en gang  da...

Det er TLS1.2-støtte i .NET Framework 4.5, så det burde ikke være et problem. 

Link to post
Share on other sites

Som @Totto, får jeg også autentisert mot Verisure etter å ha fulgt "Configure for strong cryptography" i https://docs.microsoft.com/en-us/mem/configmgr/core/plan-design/security/enable-tls-1-2-client

Men etter det, får jeg melding "Ingen aktive lokasjoner", og det finnes ingen lokasjonsinnstillinger på LSoftVerisure settings siden. Er det fordi jeg kjører HS4 det feiler?

image.thumb.png.ff2fc48852091f79c634e735e50df549.png

Link to post
Share on other sites
2 timer siden, MortenO skrev:

Men etter det, får jeg melding "Ingen aktive lokasjoner", og det finnes ingen lokasjonsinnstillinger på LSoftVerisure settings siden. Er det fordi jeg kjører HS4 det feiler?

 

Har fått rapport fra en annen bruker om det samme, men der løste det problemet seg ved en fresh install av pluginen.

Link to post
Share on other sites
3 timer siden, MortenO skrev:

Men etter det, får jeg melding "Ingen aktive lokasjoner", og det finnes ingen lokasjonsinnstillinger på LSoftVerisure settings siden. Er det fordi jeg kjører HS4 det feiler?

48 minutter siden, lilfire skrev:

Har fått rapport fra en annen bruker om det samme, men der løste det problemet seg ved en fresh install av pluginen.

 

Det hjalp ikke.

  • Avinstallerte LSoftVerisure
  • Stoppet HS4
  • Fjernet rester av LSoftVerisure fra Config og Bin mappene
  • Startet og stoppet HS4
  • Installerte 2.9.109.0
  • Startet HS4, enabled plugin, la inn user/pass i settings
  • Samme feilmelding i log og fremdeles ingen locations i LSoftVerisure settings

 

Link to post
Share on other sites
1 time siden, lilfire skrev:

så da får vi ta en sjans på at denne versjonen løser det for dere også

Funker hos meg i alle fall. Fikk en liten verisure pause pga feil kode av en eller annen grunn men da den hadde timet ut la jeg inn ny kode for HS brukeren og da livnet det til. Takker og bukker 👍

Link to post
Share on other sites

Får samme feil  som MortenO - melding om "Ingen aktive lokasjoner - sjekk innstillinger..." i  loggen.
Den finner lokasjon, men viser "lokasjon ikke aktiv"

Har fjernet alt av gammel plugin, og installert på nytt :(

 

Kjører HS 4

 

Settings:

 

image.png.e434a3b874780028bd900a54a1a22f64.png

Link to post
Share on other sites
2 timer siden, lilfire skrev:

Ser ut som det er HS4 som er fellesnevner. Skal prøve å sette av tid til å sette opp HS4 og kjøre noen tester mot HS4.

Flott.
Ser også ut som det er problemer med Car-Net pluginen din i HS4. Muligens litt av samme feila som her i Verisure??

Link to post
Share on other sites
4 timer siden, Bostad skrev:

Ser også ut som det er problemer med Car-Net pluginen din i HS4. Muligens litt av samme feila som her i Verisure??

Car-net pluginen er som beskrevet i den tråden ikke supportert mer. Jeg har ikke VW lengere og siden APIet ikke er åpent så er det for vanskelig å reverse engineer det uten å ha bil/konto selv.

Link to post
Share on other sites
15 timer siden, Kenneth skrev:

Umiddelbart ser dette veldigra bra ut for meg. Plugin starter opp og lokasjon blir hentet, takk for innsatsen @lilfire.

Det eneste jeg ønsker meg da er at instilliger siden presenteres korrekt i HS4 :)

Fungerer fint i HS4 igjen. Innstillinger + "verdi" for å sette låsekode osv. er ute av formatering, men det kan man leve med.

Link to post
Share on other sites

Nå funger alt som det skal igjen, toppers :)

Men jeg får opp denne meldingen i loggen med ca 30 sec intervall. Ser ikke ut som den skaper noen problemer men det er nå der..... Har restartet et par ganger men det dukker opp igjen.

image.png.e60711662e3aba733c64457bc1f0ad09.png

Link to post
Share on other sites
23 timer siden, dr.phil skrev:

Får samme feil  som MortenO - melding om "Ingen aktive lokasjoner - sjekk innstillinger..." i  loggen.
Den finner lokasjon, men viser "lokasjon ikke aktiv"

Har fjernet alt av gammel plugin, og installert på nytt :(

 

Kjører HS 4

 

Settings:

 

image.png.e434a3b874780028bd900a54a1a22f64.png

Har identisk feil som flere andre med HS4.

Er det kansje en annen plass en kan aktivere "locations" på, i en fil eller lignende?

image.png

Link to post
Share on other sites

@Tinge76,

 

Eneste jeg kan tenke meg er at dette blir satt i LSoftVerisure.ini

I min fil så ser det ut som lokasjonen er en "ID" av ett slag med noen instillinger under. DEn biten som hos meg heter 123456789

Litt anonymisert:
[Settings]
Version=2.9.109.0
username=ettellerannet=
password=ettellerannet==
setUpdateFrequency=True
updateFrequency=30
loglevel=1
timeout=300000
lang=NO
system=north
[123456789]
savepin=True
yalepin=ettellerannet==
active=True

Edited by Kenneth
  • Like 1
Link to post
Share on other sites

Min ini fil: Ser ut som alt under timout=60000 mangler...

 

[Settings]
Version=2.9.109.0
system=north
username=MittBrukerNavn=
password=MittPassord==
setUpdateFrequency=False
updateFrequency=5
loglevel=0
timeout=60000

 

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...